#!/usr/bin/perl -w

use strict;
use FindBin;
use FindBin qw($RealBin);
use lib "$RealBin/";
use smbldap_tools;
use Crypt::SmbHash;

use Getopt::Std;
my %Options;

my $ok = getopts('p:?h',\%Options);
if ( (!$ok) || ($Options{'?'}) || ($Options{'h'}) ) {
	  print "Usage: $0 -p [password]\n";
	  print "  -p             password to encrypt\n";
	  print "  -?, -h         show this help message\n";
	  exit (1);
}

my $pass=$Options{'p'};
if (!defined $pass){
   exit(1);
}

# change unix password
my $hash_password = '';
if ( $config{hash_encrypt} eq "CRYPT" && defined($config{crypt_salt_format}) ) {
  $hash_password = `/usr/sbin/slappasswd -h {$config{hash_encrypt}} -c '$config{crypt_salt_format}' -s '$pass'`;
} else {
  $hash_password = `/usr/sbin/slappasswd -h {$config{hash_encrypt}} -s '$pass'`;
}

chomp($hash_password);

print $hash_password;
#my $modify = $ldap_master->modify ( "$dn",
#									changes => [
#												replace => [userPassword => "$hash_password"]
#											   ]
#								  );
#$modify->code && warn "Unable to change password : ", $modify->error ;
#
## take down session
#$ldap_master->unbind;
#
exit 0;


# - The End
