#!/usr/bin/env python
# -*- coding: UTF-8 -*-

########################################################
# ParseDico.py 
## Equipe Eole eole@ac-dijon.fr
#
## 23 Sep 2003
#
## $Id: ParseDico.py,v 1.2 2005/03/01 14:00:34 joel Exp $
########################################################

# Test Dico
import re
import sys

#########################
#définition des fonctions

#fonction de traitelent d'une ligne de la section 2
def ParseLigneSect2(lig):
	valeurVar=Libel=Options=""
	try:
		(nomVar,Suite)=re.split('@@',lig)
	except:
		#Non traitée
		pass
	else:
		try:
			(valeurVar,Libel,Options)=re.split('#',Suite.strip())
		except:
			(valeurVar,Libel)=re.split('#',Suite.strip())
		return (nomVar,valeurVar,Libel,Options)


def ParseDico(section=""):
	# initialisation des variables
	dico= open("/etc/eole/config.eol","r")
	ligne=""
	valeurVar=nomVar=Libel=""

	Section1=[]
	Section2={}
	while ligne != '%%\n':
		ligne=dico.readline()
		if ligne=='':
			# erreur, la section2 n'existe pas (ça ne devrait pas arriver)
			sys.exit("Erreur, la section 2 manque dans le fichier config.eol !!")
		else:
			Section1.append(ligne.strip())

	# traitement de la section 2'

	while ligne != '':
		try:
			(nomVar,valeurVar,Libel,Options)=ParseLigneSect2(ligne)
		except:
			# ligne non traitée (commentaire ?)
			pass
		else:
			Section2[nomVar]=(valeurVar,Libel,Options)
			# ParseLigneSect2(ligne)
		ligne=dico.readline()

	# utilisation normale : retourne la liste des variables
	if section == "fichiers":
		return Section1
	else:
		return Section2
	
# fonction main, utilisée si appel en ligne de commande
def main():
	Variables=ParseDico()
	print "LES CLEFS"
	for clef in  Variables.keys():
		print clef
	print "LES VALEURS"
	for Valeur in  Variables.values():
		 print "Val=%s, Lib=%s, Opt=%s " % Valeur
	return 1

# si on a appelé le programme directement : on exécute main
if __name__ == "__main__":
	main()
