#!/bin/bash

F_URL_ASSR='/var/www/ead/config/url_assr'
F_LOG_ASSR='/var/www/ead/tmp/dl-assr.txt'
F_AT_ASSR='/var/www/ead/config/at_assr'
F_PASS_ASSR='/var/www/ead/config/pass_assr'

serv_assr=`head $F_URL_ASSR -n1|tail -n1`
user=`head $F_URL_ASSR -n2|tail -n1`
chown root:root $F_PASS_ASSR
chmod 600 $F_PASS_ASSR
    
date > $F_LOG_ASSR
echo "Téléchargement sur $serv_assr::assr" >> $F_LOG_ASSR
rsync -cavz $user@$serv_assr::assr /home/serveurassr/ --password-file $F_PASS_ASSR>> $F_LOG_ASSR 2>&1
SORTIE=$?
if [ "$SORTIE" -eq 0 ]
then
    echo -n "Téléchargement terminé : " >> $F_LOG_ASSR
else
    echo -n "Le téléchargement a échoué : " >> $F_LOG_ASSR
fi
date >> $F_LOG_ASSR
rm -f $F_AT_ASSR
echo "##FIN##" >> $F_LOG_ASSR
chmod 644 $F_PASS_ASSR

