# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# templates python pour le backend ScribeNg
#
###########################################################################

# template de configuration d'une liste Sympa
liste_tmpl = """subject liste %(type)s %(groupe)s

status open

topics %(type)s

visibility noconceal

subscribe open_notify

unsubscribe open_notify

owner
email %(email)s

profile privileged
send public

web_archive
access private

archive
access owner
period week

digest 1,4 12:00

review owner

creation
date %(date)s
email %(email)s

date_epoch 998698638

ttl 7200

user_data_source include

include_ldap_2level_query
port 389
host localhost
timeout1 30
suffix1 cn=%(groupe)s,ou=local,ou=groupes,%(branche)s
filter1 (objectClass=posixGroup)
attrs1 memberUid
select1 all
scope1 base
timeout2 30
suffix2 ou=utilisateurs,%(branche)s
filter2 (uid=[attrs1])
attrs2 mail
select2 first
scope2 sub
"""

# alias mail pour une liste Sympa
alias_tmpl =  """%(groupe)s: \"|/usr/lib/sympa/bin/queue %(groupe)s@%(ldomaine)s\"
%(groupe)s-request: \"|/usr/lib/sympa/bin/queue %(groupe)s-request@%(ldomaine)s\"
%(groupe)s-editor: \"|/usr/lib/sympa/bin/queue %(groupe)s-editor@%(ldomaine)s\"
%(groupe)s-owner: \"|/usr/lib/sympa/bin/bouncequeue %(groupe)s@%(ldomaine)s\"
"""

# template de partage Samba
share_tmpl = """[%(name)s]
\tinherit permissions = no
\tinherit acls = yes
\treadonly = no
\tpreserve case = no
\tcreate mask = 644
\tdirectory mask = 755
\tWrite list = @%(group)s
\tValid Users = @%(group)s @DomainAdmins\n\tpath = %(path)s
\tcomment = %(desc)s
\tVolume = %(desc)s

"""

